%define realname coova-chilli
%define realver  1.3.0
%define srcext   tar.gz

# Common info
Name:          %{realname}
Version:       %{realver}
Release: 1.2
License:       GPL
Group:         Productivity/Networking/Security
URL:           http://coova.org/CoovaChilli
Summary:       A Software Access Controller for Captive Portal and WPA

# Install-time parameters
Requires:      haserl

# Build-time parameters
BuildRequires: openssl-devel
BuildRoot:     %{_tmppath}/%{name}-root
Source:        http://ap.coova.org/chilli/%{realname}-%{realver}%{?extraver}.%{srcext}

%description
chilli is a software access controller typically used in Wireless LAN HotSpot.
It supports of two different access methods for a Wireless LAN HotSpot:
Universal Access Method (UAM) as well as Wireless Protected Access (WPA).
This version of chilli is called CoovaChilli, a fork of the original ChilliSpot.

%package devel
Group:         Development/Languages/C and C++
Summary:       Development files for %{name}
Requires:      %{name} = %{version}

%description devel
Development files for %{name}

# Preparation step (unpackung and patching if necessary)
%prep
%setup -q -n %{realname}-%{realver}%{?extraver}

%build
%configure \
 --disable-static \
 --disable-debug \
 --enable-miniportal \
 --enable-dhcpopt \
 --enable-multilan \
 --enable-mdns \
 --enable-netbios \
 --enable-ieee8023 \
 --enable-ssdp \
 --with-openssl \
 LDFLAGS="-Wl,--as-needed -Wl,--strip-all"
%__sed -i 's/ -Werror//' src/Makefile
%__make %{?_smp_mflags}

%install
%__make install DESTDIR=%{buildroot}
%if %{expand:%_vendor == "suse"}
%__ln_s %{_initrddir}/chilli %{buildroot}%{_sbindir}/rcchilli
%else
%__mkdir -p %{buildroot}%{_initrddir}
%__mv -f %{buildroot}%{_sysconfdir}/init.d/chilli %{buildroot}%{_initrddir}/
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS LICENSE README doc/dictionary.chillispot doc/attributes doc/hotspotlogin.cgi
%config(noreplace) %{_sysconfdir}/chilli.conf
%dir %{_sysconfdir}/chilli
%config(noreplace) %{_sysconfdir}/chilli/*
%{_initrddir}/chilli
%{_sbindir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/python/CoovaChilliLib.py*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*

# Development stuff
%files devel
%defattr(-,root,root)
%dir %{_includedir}/chilli
%{_includedir}/chilli/*.h
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%if 0%{?suse_version}
%post
%{fillup_and_insserv chilli}

%preun
%{stop_on_removal chilli}

%postun
%{restart_on_update chilli}
%{insserv_cleanup}
%endif

%changelog
* Mon Dec 21 2020 Brian Read <brianr@bjsystems.co.uk> %{realver}-1.2.sme
- Initial import to SME10 [SME: 11289]

